#include <stdio.h>
int main(){
  int n,a,b,c,min1,min2,min3,br;
  scanf("%d",&n);
  if(n<100 || n>999)
  {
    printf("-1\n");
    return -1;
  }
  a=n%10;
  b=(n/10)%10;
  c=n/100;
 if(a<=b && a<=c)
    min1=a;
  if(b<=a && b<=c)
    min1=b;
  if(c<=a && c<=b)
    min1=c;
  if(b>min1)
    min2=b;
  if(a>min1)
    min2=a;
  if(c>min1)
    min2=c;
  
  
  br=min1*100+min2*10+min3;
  
  printf("%d\n",br);
  return 0;
}
    
  
